#!/bin/sh
# Nom et emplacement de ce script : ~/.pekwm/def-pwm-wkspaces.sh
# Dépendances : replaceit, pekwm
# (c) Christian L'Écuyer (alias / aka musher0), 
# Gatineau (Qc), Canada, 7 juin 2013. 
# Tous droits réservés, sauf usage privé et personnel ("ad usum privatum") 
# dans le contexte de ToutouLinux. / All rights reserved, except private
# and personnal use ("ad usum privatum") in the context of PuppyLinux.
####
case "$@" in
	1)WS="Workspaces =\"1\""
		WPR="WorkspacesPerRow =\"1\""
		WSN="WorkspaceNames =\"- 1 -\"" ;;
	2)WS="Workspaces =\"2\""
		WPR="WorkspacesPerRow =\"2\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -\"" ;;
	3)WS="Workspaces =\"3\""
		WPR="WorkspacesPerRow =\"3\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -\"" ;;
	4)WS="Workspaces =\"4\""
		WPR="WorkspacesPerRow =\"4\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -\"" ;;
	5)WS="Workspaces =\"5\""
		WPR="WorkspacesPerRow =\"5\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -;- 5 -\"" ;;
	6)WS="Workspaces =\"6\""
		WPR="WorkspacesPerRow =\"6\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -;- 5 -;- 6 -\"" ;;
	7)WS="Workspaces =\"7\""
		WPR="WorkspacesPerRow =\"7\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -;- 5 -;- 6 -;- 7 -\"" ;;
	8)WS="Workspaces =\"8\""
		WPR="WorkspacesPerRow =\"8\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -;- 5 -;- 6 -;- 7 -;- 8 -\"" ;;
	9)WS="Workspaces =\"9\""
		WPR="WorkspacesPerRow =\"9\""
		WSN="WorkspaceNames =\"- 1 -;- 2 -;- 3 -;- 4 -;- 5 -;- 6 -;- 7 -;- 8 -;- 9-\"" ;;
	*) exit ;;
esac
R="replaceit --input=/root/.pekwm/config --wholeline"
$R Workspaces "    $WS" -"#"
$R WorkspacesPerRow "    $WPR"
$R WorkspaceNames "    $WSN"

# restartwm pekwm
